﻿using UnityEngine;
using System.Linq;

public class MoreSharkBait : Mod
{
    public void Start()
    {
        Debug.Log("MoreSharkBait has been loaded!");
        allowItems("Raw_Herring", "Raw_Pomfret", "Raw_Mackerel", "Raw_Tilapia", "Raw_Catfish", "Raw_Salmon");
    }

    private void allowItems(params string[] validItemNames)
    {
        var ropeItem = ItemManager.GetItemByName("Rope");
        var ropeIngredient = new CostMultiple(new Item_Base[] { ropeItem }, 2);

        var validItems = validItemNames.Select(name => ItemManager.GetItemByName(name)).ToArray();
        var validIngredients = new CostMultiple(validItems, 2);

        var bait = ItemManager.GetItemByName("SharkBait");
        bait.settings_recipe.NewCost = new CostMultiple[] { ropeIngredient, validIngredients };
    }

    public void OnModUnload()
    {
        allowItems("Raw_Herring", "Raw_Pomfret");
        Debug.Log("MoreSharkBait has been unloaded!");
    }
}
